Index: /extensions/Autosize/admin/admin_autosize.php
===================================================================
--- /extensions/Autosize/admin/admin_autosize.php	(revision 17502)
+++ /extensions/Autosize/admin/admin_autosize.php	(revision 17503)
@@ -97,5 +97,8 @@
  $visible=true;	
  $path = AUTOSIZE_PATH;
- $autosize_parametres = cl_autosize_Get_Options();
+global $has_pamoorama,$select_type,$autosize_parametres;
+global $defined_types,$maxi_img ,$pictureDeriv ,$liste_type,$SRC_IMG;
+  $defined_types = array_keys(ImageStdParams::get_defined_type_map());  
+  $autosize_parametres = cl_autosize_Get_Options();
 	  
    if (isset($_POST['submit']))  {  
@@ -109,5 +112,5 @@
 		 unset($_POST);
 		 }
- include (AUTOSIZE_PATH."include/affiche.php"); 	 	 
+  include (AUTOSIZE_PATH."include/affiche.php"); 	 	 
 //================================================================================
 $base_url = get_root_url().'admin_autosize.php';
@@ -127,5 +130,5 @@
     <div class='autosize' 
          autosize='MargeBasse:30px;MargeHaute:30px;parent:fieldset;ResizePicture:true'>
-        <img src='./plugins/Autosize/images/ECO_050.jpg ' width='100%' />       
+        <img src='./plugins/Autosize/images/quadrille_100.png ' width='100%' />       
     </div>
 </fieldset>"; 
Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 17502)
+++ /extensions/Autosize/autosize.inc.php	(revision 17503)
@@ -21,30 +21,312 @@
 // +-----------------------------------------------------------------------+
 class autosize_controler {
- //============================================================
- /*
-  *  cl_autosize_script_1
- */
- static public function cl_autosize_script_1()
-	{
+	/*********************************
+	* cl_autosize_admin
+	**********************************/
+	static public function cl_autosize_admin($menu)		{
+		global  $lang ;
+		array_push($menu, array('NAME' => 'Autosize',
+		'URL' => get_admin_plugin_menu_link(AUTOSIZE_PATH . 'admin/admin_autosize.php')));
+		return $menu;
+	} //function cl_autosize_admin
+/*********************
+* INIT
+*********************/
+static public function init($content){
+  // header ('X-UA-Compatible: n=7')  ;
+ // header ('X-UA-Compatible: IE=Edge')  ; 
+ global  $template,$version,$icon_path,$page,$picture,$conf;
+
+   $current = $template->get_template_vars('current'); 
+
+   $model=  $_COOKIE['picture_deriv'] ;
+      $has_pamoorama=isset($template->files['pamooramics_content']);
+ //====================================================================    
+    $pictureDeriv = pwg_get_session_var('picture_deriv',$conf['derivative_default_size']); 
+    $SRC_IMG=""; 
+       $selected_derivative =  $current['derivatives'][$pictureDeriv];
+        if (!isset($current['selected_derivative'])){  
+          $template->append('current', array(
+                                        'selected_derivative' => $selected_derivative
+                                            ), 
+                             true);
+          $current = $template->get_template_vars('current');
+        }
+
+        if(isset($current['derivatives'][$model])) {
+            $selected_derivative =  $current['derivatives'][$model];
+            $template->assign('current[selected_derivative]', $selected_derivative
+                              , true);
+            $current = $template->get_template_vars('current'); 
+        }
+   
+    return $content;
+
+}//INIT
+/**************************
+*  autosize_calcContent   *
+**************************/
+ static public function autosize_calcContent($content){
+  global $conf,$page, $template,$picture,$user; 
+  global $defined_types,$maxi_img ,$pictureDeriv ,$liste_type,$SRC_IMG,$select_type;
+  global  $has_pamoorama;
+  global $autosize_parametres,$user_status;
+$defined_types = array_keys(ImageStdParams::get_defined_type_map());   
+//===============================================================
+ if(isset($page['body_id']) &&	$page['body_id'] == 'theAdminPage' ) return ;   
+    if (!isset($_COOKIE['autosize_reload'])){    
+ 	    $autoscript="<script type='text/javascript' src='themes/default/js/jquery.min.js'></script>			       <script type='text/javascript' src='plugins/autosize/js/autosizeDetect.js'></script>
+      <script type='text/javascript' src='plugins/Autosize/js/autosize.cookie.js'></script>
+      <body onload=on_load() style='background-color:black;color :white;font-size:30px '  >  
+     please wait, loading...
+      </body>";   
+		  echo $autoscript;  
+      die();
+    }  
+  $current = $template->get_template_vars('current'); 
+                       if (!isset($current)) return ;
+//===============================================================
+    $derivative = $current['src_image'] ;
+    $imgScaledWH = $derivative->get_size();
+    $SRC_IMG    = $derivative->get_url();  
+    $picture['current']['scaled_width']=$imgScaledWH[0];
+    $picture['current']['scaled_height']= $imgScaledWH[1];
+    $picture['current']['high_url']= $SRC_IMG;   
+    $picture['current']['image_url']=$SRC_IMG;  
+//===============================================================
+
+    $user_status = $user['status'] ;
+    $autosize_parametres = cl_autosize_Get_Options();
+    $user_type= get_user_status($user_status)."_type";
+    $select_type=$autosize_parametres->$user_type ;
+ 
+
+  if (isset($_COOKIE['theImageHeight'])){    
+      pwg_set_session_var('theImageWidtht',$_COOKIE['theImageWidth']);  
+      pwg_set_session_var('theImageHeight',$_COOKIE['theImageHeight']);   
+  } 
+if (isset($_COOKIE['theMainImageHeight']))  pwg_set_session_var('theMainImageHeight',$_COOKIE['theMainImageHeight']);  
+if (isset($_COOKIE['theMainImageWidth']))  pwg_set_session_var('theImageWidth',$_COOKIE['theMainImageWidth']); 
+
+
+if (isset($_COOKIE['picture_deriv']))  
+    pwg_set_session_var('picture_deriv',$_COOKIE['picture_deriv']); 
+else 
+  pwg_set_session_var('picture_deriv',$select_type); 
+
+ 
+$model=   $conf['derivative_default_size'] ; // par defaut 
+  $pictureDeriv = pwg_get_session_var('picture_deriv',  $model); 
+
+ 
+ $model=$pictureDeriv ;
+
+    $value=0;
+    $liste_type="";
+    $maxi_info="";
+    if($model!="Autosize" & $model!="SelMaxi"){
+      
+    }else{
+        $model=$conf['derivative_default_size'] ;  
+    }
+  $derivative=$current['derivatives'][$model] ;  
+    $img_all= $derivative->get_all($derivative->src_image);
+    $maxi_img="";
+    $mini_img="";
+    $maxi_url="";
+    $imgSizeWH  = $derivative->get_size();	
+    //==== valeur taille image ====
+    
+     $window_width=$imgSizeWH[0];
+     $window_height=$imgSizeWH[1];
+ //echo "<div style='background-color:black;color:white' >INIT: $model  w:$window_width x  h:$window_height  </div>";
+
+   
+    $window_width = pwg_get_session_var('theMainImageWidth',$imgSizeWH[0]); 
+ $window_height =  pwg_get_session_var('theMainImageHeight',$imgSizeWH[1]);
+
+ if (!isset($_COOKIE['theMainImageHeight']))    setcookie('theMainImageHeight', $window_height ); 
+if (!isset($_COOKIE['theMainImageWidth']))  setcookie('theMainImageWidth',$window_width); 
+
+  //  echo "<div style='background-color:black;color:white' >$select_type w: $window_width x h: $window_height  </div>";
+
+    $last_defined=ImageStdParams::get_defined_type_map();    
+    foreach ($img_all as $img_select){
+            $img_type  =  $img_select->get_type();	
+            if ($img_type=="square" || $img_type=="thumb" ) continue ;
+
+            $img_url  = $img_select->get_url();
+            $imgSizeWH  =  $img_select->get_size();	
+            if($img_type=="Autosize" || $img_type=="SelMaxi"){
+                $img_url = $img_select->src_image->get_url();
+                $imgSizeWH  =  $img_select->src_image->get_size();
+                $liste_type[$img_type]=$img_type.",".$img_url.",".$imgSizeWH[0] .",".$imgSizeWH[1] ;
+            }else{ 
+            $liste_type[$img_type]=$img_type.",".$img_url.",".$imgSizeWH[0] .",".$imgSizeWH[1] ;
+            if ($img_type=="Original"){
+          
+            break ;
+            }
+            
+               
+
+              if($window_height < $imgSizeWH[0] ){
+                          $maxi_img=  $img_type;
+                          $maxi_url= $img_url;
+                          $maxi_i=$img_select;
+              }
+              if($window_height < $imgSizeWH[0] && $mini_img==""){ 
+                      $mini_img=  $img_type;
+                      $mini_url= $img_url;
+                      $mini_i=$img_select;
+                      
+                 }else if($imgSizeWH[0] > 10 && $maxi_img==""){ 
+                      $last_img=$img_select;
+              }
+
+ 
+               if($select_type==$img_type){ 
+                  if($maxi_img==""){
+                      $maxi_img=  $img_type;
+                      $maxi_url= $img_url;
+                      $maxi_i=$img_select;
+                  }
+                     
+                      break ;
+                    }
+         }
+
+      }
+  
+//==============================================================    
+  //==== Réécriture selection ====
+  if( $img_type=="SelMaxi"){
+  $maxi_img= $mini_img;
+  $maxi_url= $mini_img;
+  }
+  if ( !array_key_exists($maxi_img, $last_defined) ){
+            $maxi_img = $last_img->get_type();	 
+            $maxi_url  = $last_img->get_url();
+            $imgSizeWH  =  $last_img->get_size();	
+  }
+    $model= $maxi_img;
+    pwg_set_session_var('picture_deriv', $maxi_img);
+    $_COOKIE['picture_deriv']=$maxi_img ;
+    $_COOKIE['picture_map']=  $maxi_img ;
+    $_COOKIE['imgSrc']=       $maxi_url;
+
+  if (isset($_COOKIE['picture_deriv'])){    
+      if ( array_key_exists($_COOKIE['picture_deriv'], ImageStdParams::get_defined_type_map()) ){
+            pwg_set_session_var('picture_deriv', $_COOKIE['picture_deriv']);
+        }else{
+        echo "<pre>".$_COOKIE['picture_deriv']. "No exist  " ;
+        print_r($img_all );
+        die();
+        }
+    setcookie('picture_deriv', false, 0, cookie_path() );
+  }  
+
+  
+return false ;
+
+ }
+
+/************************
+* cl_autosize_affiche
+*************************/	
+	static public function cl_autosize_affiche(){
+		global $user, $picture, $template,$page,$known_script;
+		global $content, $element_info;   
+		global $infos_message,$erreur_message;
+		global  $conf,$lang ,$user,$userdata;
+      global $defined_types,$maxi_img ,$pictureDeriv ,$liste_type,$SRC_IMG,$select_type;
+  global  $has_pamoorama;
+  global $autosize_parametres,$user_status;
+
+    if(isset($page['body_id']) &&	$page['body_id'] == 'theAdminPage' ) return ;   
+
+ if ('kardon' == $user['theme'] and isset($_GET['slideshow'])) return ;
+		load_language('plugin.lang', AUTOSIZE_PATH);
+		$AUTOSIZE_PATH = dirname(__FILE__).'/';
+		 if (isset( $page['body_id']) && $page['body_id']=='thePicturePage'  ) {
+
+			if ( isset($picture['current'])){	
+				include (AUTOSIZE_PATH."include/affiche.php"); 
+
+        $file =AUTOSIZE_PATH_ABS.'template/picture_1.tpl' ;
+        $template->set_filenames(array('autosize_content_header'=> $file )); 
+        $template->assign(
+  					array(  
+            'select_type' =>$select_type,
+            ));
+
+        $template->concat('autosize_content', $template->parse('autosize_content_header', true));  
+
+        $file =AUTOSIZE_PATH_ABS.'template/header.tpl' ;
+        $template->set_filenames(array('autosize_init_header'=> $file ));
+        $template->parse( 'autosize_init_header', false);      
+
+        	$theme=$user['theme'];  
+                         		
+				if($autosize_parametres->check_icon_v == 'on'){				 
+						$template->assign('cl_autosize_button', 
+						array(	'cl_autosize_info' => 'cl_autosize_info' ,
+                    'cl_autosize_info_1' => 'cl_autosize_info_' ,  
+								    'cl_autosize_info_2' => 'cl_autosize_info_2' ,    
+								    'URL' => $_SERVER['REQUEST_URI'] ,
+								    'ICON2' => AUTOSIZE_PATH . 'icons/button-maximize.png',
+								    'ICON' => AUTOSIZE_PATH . 'icons/button-minimize.png',
+                    'ICON1' => AUTOSIZE_PATH . 'icons/button-no.png'
+								)
+
+							); 
+					$template->set_filenames(array('cl_bp' => $AUTOSIZE_PATH. 'template/picture.tpl'));
+					$template->concat('PLUGIN_PICTURE_ACTIONS', $template->parse('cl_bp', true));
+				}
+				 $template->set_filenames(
+						array('autosize_content'=> $AUTOSIZE_PATH.'template/autosize.tpl',
+             'theme' => $theme   )
+					);
+			$template->concat('autosize_content', $template->parse('autosize_content_header', true));	
+      	
+      if(isset($conf['go_up_down']) && ($conf['go_up_down']==true) ){
+        $template->set_filenames(array('mes_script' => realpath(AUTOSIZE_PATH).'/template/mes_scripts.tpl') );
+        $template->func_combine_script(array('id'=>'my_script_2',
+        'path'=> AUTOSIZE_PATH.'/js/JScript.js',
+        'require' => 'jquery'),
+        $template->smarty);
+        $template->assign(array( 
+                          'MY_FOOTER_PATH' =>AUTOSIZE_PATH
+                          ));					
+        $template->parse('mes_script');
+      }    
+        return $template->parse( 'autosize_content', false);
+     				  }
+		}
+
+	} //public function cl_autosize_affiche
+
+   /************************
+ *  cl_autosize_script_1
+ *************************/
+ static public function cl_autosize_script_1(){
   global $user,$page,$template,$cl_plugin;
- // header ('X-UA-Compatible: n=7')  ;
- // header ('X-UA-Compatible: IE=Edge')  ;
     if(isset($page['body_id']) &&	$page['body_id'] == 'theAdminPage' ) return ;    
+  
     $ma_page=isset($page['body_id'])?$page['body_id']:"" ;
-    if ($ma_page=='thePiwiShackControllerPage') return ;
-    if (!isset($template->files['pamooramics_content'])) return ;  
+    if ($ma_page=='thePiwiShackControllerPage') return ;   
     if ('kardon' == $user['theme'] and isset($_GET['slideshow'])) return ;
+    global  $has_pamoorama;
     $has_pamoorama=isset($template->files['pamooramics_content']);
-
-    $file =AUTOSIZE_PATH_ABS.'template/header.tpl' ;
-    $template->set_filenames(array('autosize_init_header'=> $file ));
+  if (!$has_pamoorama) return ; 
+
     $template->set_filenames(array('autosize_init'=>AUTOSIZE_PATH_ABS. "template/conflit.tpl" ) );
-//================================================================
-$DEBUG_autosize = isset($_POST['cl_debug_conflit']) ? $_POST['cl_debug_conflit'] : "false" ;
-$DEBUG_autosize = isset($_GET['cl_debug_conflit']) ? $_GET['cl_debug_conflit'] : $DEBUG_autosize ;
-$DEBUG_autosize = isset($conf['cl_debug_conflit']) ? $conf['cl_debug_conflit'] : $DEBUG_autosize ; 
-//======================================================================
     $autosize_parametres =	 cl_autosize_Get_Options() ;			
     $theme=$user['theme'];
+    //==============================================================================
+    $DEBUG_autosize = isset($_POST['cl_debug_conflit']) ? $_POST['cl_debug_conflit'] : "false" ;
+    $DEBUG_autosize = isset($_GET['cl_debug_conflit']) ? $_GET['cl_debug_conflit'] :  $DEBUG_autosize ;
+    $DEBUG_autosize = isset($conf['cl_debug_conflit']) ? $conf['cl_debug_conflit'] : $DEBUG_autosize ;
+    //==============================================================================
     $template->assign(
       array(   
@@ -54,12 +336,11 @@
           'name' => $cl_plugin['name'] ,
           'pamoorama' =>  $has_pamoorama,                						 
-          'theme' => $theme  ,
-          'DEBUG_autosize' =>  $DEBUG_autosize ,
+          'theme' => $theme  ,  
+          'DEBUG_autosize' => $DEBUG_autosize,
           'AUTOSIZE_PATH' => str_replace("../","",AUTOSIZE_PATH)  ,
           'AUTOSIZE_PATH_ABS' => AUTOSIZE_PATH_ABS,
           'Version_pwg' => PHPWG_VERSION           )
     );
- 	 	$template->concat('cl_conflit_init', $template->parse('autosize_init_header', true));
-		return $template->parse( 'autosize_init', false);
+    return $template->parse( 'autosize_init', false);
 	}// function cl_autosize_script_1
 
@@ -71,6 +352,10 @@
 	   global  $template,$user,$conf,$picture ,$page, $cl_plugin,$known_script ;
      		global  $template,$user,$conf,$picture ,$page, $cl_plugin ;
+            if(isset($page['body_id']) &&	$page['body_id'] == 'theAdminPage' ) return ;   
+    
    if ('kardon' == $user['theme'] and isset($_GET['slideshow'])) return ;
-   if (!isset($PAMOORAMICS_PATH)) return ;    
+     global  $has_pamoorama;
+       if (!$has_pamoorama) return ; 
+      
 			$AUTOSIZE_PATH = dirname(__FILE__).'/';
 //================================================================
@@ -88,4 +373,7 @@
     $src_img_h=isset($_POST['src_img_h'])?$_POST['src_img_h']: $img_width               ;
     $src_img_w= isset($_POST['src_img_w'])?$_POST['src_img_w']:$img_height              ;
+
+
+  include_once (PHPWG_ROOT_PATH.'include/functions_cookie.inc.php') ;
 if(isset($_COOKIE['img_w'])){
     $src_img_w=$_COOKIE['img_w'];
@@ -93,6 +381,6 @@
 }
 
-$window_height= isset($_POST['window_height'])?$_POST['window_height']: $img_scaled_height ;
-$window_width= isset($_POST['window_width'])?$_POST['window_width']: $img_scaled_width    ;
+$window_height= isset($_SESSION['height'])?$_SESSION['height']: $img_scaled_height ;
+$window_width= isset($_SESSION['width'])?$_SESSION['width']: $img_scaled_width    ;
 
 
@@ -118,5 +406,5 @@
 					)
 						);
-  include_once (PHPWG_ROOT_PATH.'include/functions_cookie.inc.php') ;
+
 			$autoscript="<script type='text/javascript'>
 			/* cl_autosize_script_2 */
@@ -131,14 +419,11 @@
  * cl_autosize_script_3()
  **************************************/
- static public function cl_autosize_script_3()
- {
-	   global  $template;
-  
-
-    $has_pamoorama=isset($template->files['pamooramics_content']);
-    if (!$has_pamoorama) return ;  
-
-			$autoscript="<div id='debug' >TEST</div>
-      <script type='text/javascript'>			
+ static public function cl_autosize_script_3() {
+	   global  $template,$page;
+    if(isset($page['body_id']) &&	$page['body_id'] == 'theAdminPage' ) return ;   
+          global  $has_pamoorama;
+       if (!$has_pamoorama) return ; 
+
+			$autoscript="<script type='text/javascript'>			
  			if (typeof (Ajout_Ajax) == 'function')
 			   Ajout_Ajax();  
@@ -148,127 +433,4 @@
  }// function cl_autosize_script_3
 
-	//================================================================
-	/*
-	* cl_autosize_admin
-	*/
-	static public function cl_autosize_admin($menu)
-		{
-		global  $lang ;
-		array_push($menu, array('NAME' => 'Autosize',
-		'URL' => get_admin_plugin_menu_link(AUTOSIZE_PATH . 'admin/admin_autosize.php')));
-		return $menu;
-	} //function cl_autosize_admin
-  //=====================================
-
-
-  // this is the default handler that generates the display for the element
- static public function autosize_calcContent($content)
-{
-  global $conf; 
-   
- global $page, $template,$picture;
-
-
-  $current = $template->get_template_vars('current'); 
-  $defined_types = array_keys(ImageStdParams::get_defined_type_map());  
-if (isset($current)){ 
-    if (!isset($current['selected_derivative'])){  
-      $model= $defined_types[count($defined_types)-1];
-      $selected_derivative =      $current['derivatives'][$model];
-      $template->append('current', array(
-      'selected_derivative' => $selected_derivative
-    ), true);
-
-
-    $current = $template->get_template_vars('current');
-        } 
-
-         $derivative=$current['selected_derivative'] ;
-          $imgScaledWH=$derivative->src_image->get_size();
-          $imgSizeWH  =  $derivative->get_size();	
-          $img_type  =  $derivative->get_type();	
-          $img_url  = $derivative->get_url();
-          $img_all= $derivative->get_all($derivative->src_image);
-          $scaled_size=$derivative->get_size_hr(); //792 x 441
-          $scaled_size=$derivative->get_scaled_size_htm(); // width="792" height="441"
-         //================= taille mis a l'échelle 
-          $scaled_size=$derivative->get_scaled_size(100,100); // array([0]=>100,[1]=>55)
-          $src= $derivative->src_image ;
-       
-    }
- 
-    $img_scaled_width=isset($imgScaledWH)?$imgScaledWH[0]:"480";
-    $img_scaled_height=isset($imgScaledWH)?$imgScaledWH[1]:"320";
-    $current = $template->get_template_vars('picture');
-    $picture['current']['scaled_width']=$img_scaled_width;
-    $picture['current']['scaled_height']= $img_scaled_height;
-    $picture['current']['image_url']=$src->rel_path;
-    
- }
-
-    //===============================================================
-	/*
-	*
-	*/	
-	static public function cl_autosize_affiche()
-	{
-		global $user, $picture, $template,$page,$known_script;
-		global $content, $element_info;   
-		global $infos_message,$erreur_message;
-		global  $conf,$lang ,$user,$userdata;
- if ('kardon' == $user['theme'] and isset($_GET['slideshow'])) return ;
-		load_language('plugin.lang', AUTOSIZE_PATH);
-
-		$AUTOSIZE_PATH = dirname(__FILE__).'/';
-		 if (isset( $page['body_id']) && $page['body_id']=='thePicturePage'  ) {
-			if ( isset($picture['current'])){	
-				$autosize_parametres = cl_autosize_Get_Options();
-				include (AUTOSIZE_PATH."include/affiche.php"); 
-        $file =AUTOSIZE_PATH_ABS.'template/picture_1.tpl' ;
-        $template->set_filenames(array('autosize_content_header'=> $file )); 
-        $template->concat('autosize_content', $template->parse('autosize_content_header', true));                           
-        $template->set_filenames(array('autosize_init_header'=> $file ));
-        	$theme=$user['theme'];    
-          $deriv_type = pwg_get_session_var('picture_deriv', IMG_LARGE);   
-          $defined_types = array_keys(ImageStdParams::get_defined_type_map()); 
-                         		
-				if($autosize_parametres->check_icon_v == 'on'){				 
-						$template->assign('cl_autosize_button', 
-						array(	'cl_autosize_info' => 'cl_autosize_info' ,
-                    'cl_autosize_info_1' => 'cl_autosize_info_' ,  
-								    'cl_autosize_info_2' => 'cl_autosize_info_2' ,    
-								    'URL' => $_SERVER['REQUEST_URI'] ,
-								    'ICON2' => AUTOSIZE_PATH . 'icons/button-maximize.png',
-								    'ICON' => AUTOSIZE_PATH . 'icons/button-minimize.png',
-                    'ICON1' => AUTOSIZE_PATH . 'icons/button-no.png'
-								)
-
-							); 
-					$template->set_filenames(array('cl_bp' => $AUTOSIZE_PATH. 'template/picture.tpl'));
-					$template->concat('PLUGIN_PICTURE_ACTIONS', $template->parse('cl_bp', true));
-				}
-				 $template->set_filenames(
-						array('autosize_content'=> $AUTOSIZE_PATH.'template/autosize.tpl',
-             'theme' => $theme   )
-					);
-			$template->concat('autosize_content', $template->parse('autosize_content_header', true));		
-      if(isset($conf['go_up_down']) && ($conf['go_up_down']==true) ){
-        $template->set_filenames(array('mes_script' => realpath(AUTOSIZE_PATH).'/template/mes_scripts.tpl') );
-        $template->func_combine_script(array('id'=>'my_script_2',
-        'path'=> AUTOSIZE_PATH.'/js/JScript.js',
-        'require' => 'jquery'),
-        $template->smarty);
-        $template->assign(array( 
-                          'MY_FOOTER_PATH' =>AUTOSIZE_PATH
-                          ));
-					
-        $template->parse('mes_script');
-      }     
-            
-        return $template->parse( 'autosize_content', false);
-     				  }
-		}
-
-	} //public function cl_autosize_affiche
 	//===============================================================
 		/*
@@ -520,8 +682,14 @@
  			pwg_query($query);
 	  }
-	 
+    if (!isset($conf['cl_derivatives_sav']))  {    
+      $q = '
+        INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
+        VALUES ("cl_derivatives_sav","","sauvegarde derivatives")
+      ;';
+      pwg_query($q);      
+      }
  }
 
- function auto_memo_var($variables)
+ function print_var($variables)
 {
   ob_start();
Index: /extensions/Autosize/include/affiche.php
===================================================================
--- /extensions/Autosize/include/affiche.php	(revision 17502)
+++ /extensions/Autosize/include/affiche.php	(revision 17503)
@@ -1,59 +1,16 @@
 <?php  
-$visible=(isset($visible))?$visible:false;
 
+$visible=(isset($visible))?$visible:false; 
 $cl_version=isset($cl_version)?$cl_version:"";
 $cl_plugin=isset($cl_plugin)?$cl_plugin:"";
 $cl_visible=isset($conf['cl_auto']) ? $conf['cl_auto'] : 
-(isset($_GET['cl_visible'])?$_GET['cl_visible']:'true')
+(isset($_GET['cl_visible'])?$_GET['cl_visible']:'true'); 
+//==============================================================================
+$DEBUG_autosize = isset($_POST['cl_debug']) ? $_POST['cl_debug'] : "false" ;
+$DEBUG_autosize = isset($_GET['cl_debug']) ? $_GET['cl_debug'] : $DEBUG_autosize ;
+$DEBUG_autosize = isset($conf['cl_debug']) ? $conf['cl_debug'] : $DEBUG_autosize ; 
+//===========================================================================
+$cookies="' x '"; 
 
- ; 
-//==============================================================================
-$DEBUG_autosize = isset($_POST['cl_debug_conflit']) ? $_POST['cl_debug_conflit'] : "false" ;
-$DEBUG_autosize = isset($_GET['cl_debug_conflit']) ? $_GET['cl_debug_conflit'] : $DEBUG_autosize ;
-$DEBUG_autosize = isset($conf['cl_debug_conflit']) ? $conf['cl_debug_conflit'] : $DEBUG_autosize ; 
-//===========================================================================
-$cookies="' x '";
-
-$current = $template->get_template_vars('current');
-if (isset($_COOKIE['picture_deriv']))
-  {
-  if (isset($_COOKIE['theImageWidth']))
-  $cookies =  '"'.$_COOKIE['theImageWidth']." x ".  $_COOKIE['theImageHeight'] .'"';
-
-    if ( array_key_exists($_COOKIE['picture_deriv'], ImageStdParams::get_defined_type_map()) )
-    {
-      pwg_set_session_var('picture_deriv', $_COOKIE['picture_deriv']);
-    }
-    setcookie('picture_deriv', false, 0, cookie_path() );
-  }
-  $deriv_type = pwg_get_session_var('picture_deriv', $conf['derivative_default_size']);
-  $defined_types = array_keys(ImageStdParams::get_defined_type_map());  
-
-if (isset($current)){ 
-    if (!isset($current['selected_derivative'])){  
-      $model= $defined_types[count($defined_types)-1];
-      $selected_derivative =      $current['derivatives'][$model];
-       $img_all= $derivative->get_all($derivative->src_image);
-      $template->append('current', array(
-      'selected_derivative' => $selected_derivative
-    ), true);
-
-
-    $current = $template->get_template_vars('current');
-        } 
-         $derivative=$current['selected_derivative'] ;
-          $imgScaledWH=$derivative->src_image->get_size();
-          $imgSizeWH  =  $derivative->get_size();	
-          $img_type  =  $derivative->get_type();	
-          $img_url  = $derivative->get_url();
-          $img_all= $derivative->get_all($derivative->src_image);
-          $scaled_size=$derivative->get_size_hr(); //792 x 441
-          $scaled_size=$derivative->get_scaled_size_htm(); // width="792" height="441"
-         //================= taille mis a l'échelle 
-          $scaled_size=$derivative->get_scaled_size(100,100); // array([0]=>100,[1]=>55)
-          $src= $derivative->src_image ;
-       
-    } 
-  
 $img_width=isset($imgScaledWH)?$imgSizeWH[0]:"480";
 $img_height=isset($imgScaledWH)?$imgSizeWH[1]:"320";
@@ -61,12 +18,11 @@
 $img_scaled_width=isset($imgScaledWH)?$imgScaledWH[0]:"480";
 $img_scaled_height=isset($imgScaledWH)?$imgScaledWH[1]:"320";
-
-
  
 $src_img_h=isset($_POST['src_img_h'])?$_POST['src_img_h']: $img_height  ;
 $src_img_w= isset($_POST['src_img_w'])?$_POST['src_img_w']:  $img_width ;
+ 
+$window_height= isset($_SESSION['windowHeight'])?$_SESSION['windowHeight']: $img_scaled_height ;
+$window_width= isset($_SESSION['windowWidth'])?$_SESSION['windowWidth']: $img_scaled_width    ;
 
-$window_height= isset($_POST['window_height'])?$_POST['window_height']: $img_scaled_height ;
-$window_width= isset($_POST['window_width'])?$_POST['window_width']: $img_scaled_width    ;
 global $size ;
 $size=	array(
@@ -76,7 +32,9 @@
             'window_width' => $window_width
           );
-
+        
   $my_path = AUTOSIZE_PATH_ABS;
   $theme=$user['theme'];
+
+
   $user_status = $user['status'] ;
 
@@ -88,36 +46,25 @@
 									);	
 if (!isset($conf['prefix_thumbnail'])) $conf['prefix_thumbnail']="TN_";   
+//======================================================   
+
+//=== type possible ===
+if(isset($defined_types))
+    foreach ($defined_types as $type_size){
+      $value = $type_size;
+      $options[$value] = $type_size;    
+    }  
+
+ //===========================================
+  	$template->assign(
+  					array(  
+            'select_type' =>$select_type,
+            'select_map' =>$select_type,
+
+            'pictureDeriv' =>$pictureDeriv ,
+
+            'maxi_img' =>$maxi_img ,
+            'ratio' =>$img_scaled_width/$img_scaled_height ,          
 
 
-//======================================================   
-
-$options['Autosize'] = ''.l10n('Autosize').''; 
-foreach ($defined_types as $type_size){
-  $value = $type_size;
-  $options[$value] = $type_size;   
-}  
-//===================
-$value=0;
-$liste_type="";
-if(isset($img_all ))
-foreach ($img_all as $img_select){
-          $imgSizeWH  =  $img_select->get_size();	
-          $img_type  =  $img_select->get_type();	
-          $img_url  = $img_select->get_url();  
-
-          $liste_type .= $img_type.",".$img_url.",".$imgSizeWH[0] .",".$imgSizeWH[1]."|" ;
-          if(strtolower($img_type)=="original") break ;
-
-
-}  
-
-//===================================     
-     	
-  	$template->assign(
-  					array( 
-            'ratio' =>$img_scaled_width/$img_scaled_height ,
-            'cookies' =>  $cookies ,
-            'deriv_type' =>$deriv_type ,
-            'liste_type' => $liste_type ,
             'webmaster_type' => array(
                                             'OPTIONS' => $options,
@@ -150,4 +97,8 @@
 
             'theme' => $theme,
+
+            'windowHeight' => $window_height,
+            'windowWidth' =>  $window_width,
+
             'SCALED_WIDTH' => $img_scaled_width,
             'SCALED_HEIGHT' => $img_scaled_height,      
@@ -158,4 +109,5 @@
             'MINI_HEIGHT' => $autosize_parametres->mini_height,
             'MINI_WIDTH' 	=> $autosize_parametres->mini_width,
+
             'MINI_HEIGHT2' => $autosize_parametres->mini_height2,
             'MINI_WIDTH2' 	=> $autosize_parametres->mini_width2,
@@ -176,6 +128,7 @@
 
             'user_status'   => get_user_status($user_status)  ,
-'Size' => $size 
-          
+            'SRC_IMG' => $SRC_IMG,
+            'liste_type' => $liste_type ,
+            'Size' => $size        
 					
 				 )
